Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035443
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorN/A2017-03-07 12:422017-03-24 12:34
ReporterguillermogilView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revisionc4caecd017f4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035443: OBPOS_PreDeleteLine Hook cannot be cancelled

DescriptionOBPOS_PreDeleteLine Hook cannot be cancelled, it has no return parameter.
With the current behavior it is not possible to stop the deletion of a line based on several conditions trough a custom module.
Steps To ReproduceN/A
Proposed SolutionAdd an args.cancellation to the hook
TagsNo tags attached.
Attached Files? file icon issue35443.commit [^] (1,110 bytes) 2017-03-16 11:38
diff file icon issue35443_16Q4.diff [^] (758 bytes) 2017-03-20 16:49 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035392 closedranjith_qualiantech_com [SERQA 2515] Wrong quantity for services defined as grouped product=No and Quantity Rule=As per product 
depends on defect 0035444 closedmigueldejuana DeleteLine logic is duplicated across several functionalities 

-  Notes
(0095320)
hgbot (developer)
2017-03-16 13:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c4caecd017f43a04d8e3f86b7be7c957d1658db9
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 10 12:36:29 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c4caecd017f43a04d8e3f86b7be7c957d1658db9 [^]

Fixed issue 0035443: OBPOS_PreDeleteLine Hook cannot be cancelled

- Add the posibility of cancel the execution

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---

- Issue History
Date Modified Username Field Change
2017-03-07 12:42 guillermogil New Issue
2017-03-07 12:42 guillermogil Assigned To => Retail
2017-03-07 12:42 guillermogil Triggers an Emergency Pack => No
2017-03-07 12:49 guillermogil Relationship added depends on 0035444
2017-03-08 10:14 migueldejuana Assigned To Retail => migueldejuana
2017-03-08 10:14 migueldejuana Status new => scheduled
2017-03-09 13:33 migueldejuana Relationship added related to 0035392
2017-03-16 11:38 migueldejuana File Added: issue35443.commit
2017-03-16 13:31 hgbot Checkin
2017-03-16 13:31 hgbot Note Added: 0095320
2017-03-16 13:31 hgbot Status scheduled => resolved
2017-03-16 13:31 hgbot Resolution open => fixed
2017-03-16 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c4caecd017f43a04d8e3f86b7be7c957d1658db9 [^]
2017-03-20 16:49 migueldejuana File Added: issue35443_16Q4.diff
2017-03-24 12:34 marvintm Review Assigned To => marvintm
2017-03-24 12:34 marvintm Status resolved => closed
2017-03-24 12:34 marvintm Fixed in Version => RR17Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker